Subject: [Ipoverib] easy comments on draft-ietf-ipoib-ibif-mib-05.txt

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 6 Oct 2003 19:41:04 -0700

Hi -

Here are the "easy" review comments on
draft-ietf-ipoib-ibif-mib-05.txt; more "involved"
ones regarding sections 5 and 6 will follow.

Trivial formatting problems:
trailing blanks make line 3 too long (74 characters)
trailing blanks make line 4 too long (78 characters)
trailing blanks make line 67 too long (73 characters)
trailing blanks make line 68 too long (73 characters)
trailing blanks make line 71 too long (73 characters)
trailing blanks make line 72 too long (73 characters)
trailing blanks make line 73 too long (73 characters)
trailing blanks make line 74 too long (73 characters)
trailing blanks make line 75 too long (73 characters)
trailing blanks make line 76 too long (73 characters)
trailing blanks make line 77 too long (73 characters)
trailing blanks make line 81 too long (73 characters)
trailing blanks make line 326 too long (80 characters)
trailing blanks make line 653 too long (79 characters)
trailing blanks make line 686 too long (79 characters)

Page 1:
Bill Anderson lacks an affiliation.

From section 4 of rfc2223bis:
   4.0  IANA Considerations ......................................     3
should be moved to follow the "Security Considerations" section
   9.0  Full Copyright Statement .................................    25
should come last
   11.0  Authors' Addresses ......................................    26
should follow the references
   12.0  Normative References ....................................    26
   13.0  Informative References ..................................    27
should follow IANA considerations
(I noticed that 2223bis doesn't specify where the IPR section goes; I've
emailed the authors for clarification.)

Page 2 section 1:
The inifiband reference doesn't show up til
end of section 2.  Just a little disconcerting.

Page 2 section 2:
RFC 2119 is cited, but missing from the normative references.

Section 4: see previous comments on using "experimental"
for this work.  If this is anchored off of
       infiniband(ianaIfType 199)
as one would normally expect, then the IANA considerations
section isn't really needed.  The MIB review guidelines
(page 12) recommend against WG-administered OID spaces;
our track record with them so far hasn't been that good.
This is up to the WG, but the practice is NOT RECOMMENDED.

Three spelling things jumped out at me:
"aka" -> "also known as"
"Vol" -> "Vol." (multiple)
"Kasenholz" -> "Kastenholz"

Section 5: (comments to follow)

Section 6: (comments to follow)
- compilation-related comments sent separately

(I ignored section 7)

Section 8:
This section needs rework to use current boilerplate with
all the object-specific additions and analysis it entails.
Please see http://www.ops.ietf.org/mib-security.html for
details.

Section 11: Harnedy lacks a country.

Section 13:
The formatting of the first entry is odd.

Randy

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib